[v1] configure/intel: checking for correct xcb-randr version

Submitted by Sergii Romantsov on Aug. 16, 2018, 1:09 p.m.

Details

Message ID 1534424975-15043-1-git-send-email-sergii.romantsov@globallogic.com
State New
Headers show
Series "configure/intel: checking for correct xcb-randr version" ( rev: 1 ) in Mesa

Not browsing as part of any series.

Commit Message

Sergii Romantsov Aug. 16, 2018, 1:09 p.m.
On Ubuntu 16.04 xcb-randr version is 1.11.1.
Thats enough to build Intel dri-driver.
But Intel Vulkan with enabled xlib-lease requires xcb-randr version 1.13.
Added such checking on configuration stage.

Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=106997
Fixes: 7ab1fffcd2a5 (vulkan: Add EXT_acquire_xlib_display [v5])
Signed-off-by: Sergii Romantsov <sergii.romantsov@globallogic.com>
---
 configure.ac | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

Patch hide | download patch | download mbox

diff --git a/configure.ac b/configure.ac
index c2155a5..fb4e501 100644
--- a/configure.ac
+++ b/configure.ac
@@ -97,6 +97,7 @@  XCBDRI2_REQUIRED=1.8
 XCBDRI3_MODIFIERS_REQUIRED=1.13
 XCBGLX_REQUIRED=1.8.1
 XCBPRESENT_MODIFIERS_REQUIRED=1.13
+XCBRANDR_XLEASE_REQUIRED=1.13
 XDAMAGE_REQUIRED=1.1
 XSHMFENCE_REQUIRED=1.1
 XVMC_REQUIRED=1.0.6
@@ -1582,7 +1583,6 @@  AM_CONDITIONAL(HAVE_APPLEDRI, test "x$enable_dri" = xyes -a "x$dri_platform" = x
 AM_CONDITIONAL(HAVE_LMSENSORS, test "x$enable_lmsensors" = xyes )
 AM_CONDITIONAL(HAVE_GALLIUM_EXTRA_HUD, test "x$enable_gallium_extra_hud" = xyes )
 AM_CONDITIONAL(HAVE_WINDOWSDRI, test "x$enable_dri" = xyes -a "x$dri_platform" = xwindows )
-AM_CONDITIONAL(HAVE_XLEASE, test "x$have_xlease" = xyes )
 
 AC_ARG_ENABLE([shared-glapi],
     [AS_HELP_STRING([--enable-shared-glapi],
@@ -1895,19 +1895,6 @@  if test x"$enable_dri3" = xyes; then
 fi
 
 
-if echo "$platforms" | grep -q 'x11' && echo "$platforms" | grep -q 'drm'; then
-    have_xlease=yes
-else
-    have_xlease=no
-fi
-
-if test x"$have_xlease" = xyes; then
-    randr_modules="x11-xcb xcb-randr"
-    PKG_CHECK_MODULES([XCB_RANDR], [$randr_modules])
-    xlib_randr_modules="xrandr"
-    PKG_CHECK_MODULES([XLIB_RANDR], [$xlib_randr_modules])
-fi
-
 AM_CONDITIONAL(HAVE_PLATFORM_X11, echo "$platforms" | grep -q 'x11')
 AM_CONDITIONAL(HAVE_PLATFORM_WAYLAND, echo "$platforms" | grep -q 'wayland')
 AM_CONDITIONAL(HAVE_PLATFORM_DRM, echo "$platforms" | grep -q 'drm')
@@ -2164,6 +2151,15 @@  if test -n "$with_vulkan_drivers"; then
     VULKAN_DRIVERS=`echo $VULKAN_DRIVERS|tr " " "\n"|sort -u|tr "\n" " "`
 fi
 
+if test x"$enable_xlib_lease" = xyes; then
+    randr_modules="x11-xcb xrandr"
+    if test "x$HAVE_INTEL_VULKAN" = xyes; then
+        randr_modules+=" xcb-randr >= $XCBRANDR_XLEASE_REQUIRED"
+    else
+        randr_modules+=" xcb-randr"
+    fi
+    PKG_CHECK_MODULES([XCB_RANDR], [$randr_modules])
+fi
 
 DEFINES="$DEFINES -DENABLE_SHADER_CACHE"
 AM_CONDITIONAL(NEED_MEGADRIVER, test -n "$DRI_DIRS")